Bug 469572 - Writing XKB geometry crashes the server
Writing XKB geometry crashes the server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
: 475746 479122 483272 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 14:51 EST by Noel J. Bergman
Modified: 2018-04-11 04:21 EDT (History)
8 users (show)

See Also:
Fixed In Version: 1.5.3-13.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 15:46:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/dmesg (48.90 KB, text/plain)
2008-11-10 09:39 EST, Noel J. Bergman
no flags Details
/var/log/messages (232.00 KB, text/plain)
2008-11-10 09:43 EST, Noel J. Bergman
no flags Details
/var/log/Xorg.0.log (158.93 KB, text/plain)
2008-11-10 09:45 EST, Noel J. Bergman
no flags Details
/var/log/Xorg.0.log.old (221.48 KB, text/plain)
2008-11-10 09:45 EST, Noel J. Bergman
no flags Details
/var/log/Xorg.1.log (4.73 KB, text/plain)
2008-11-10 09:47 EST, Noel J. Bergman
no flags Details
/var/log/Xorg.1.log.old (4.73 KB, text/plain)
2008-11-10 09:47 EST, Noel J. Bergman
no flags Details
/var/log/Xorg.0.log (219.10 KB, text/plain)
2008-11-11 19:59 EST, Noel J. Bergman
no flags Details
xorg.conf for Fedora 10 using Xinerama (3.13 KB, text/plain)
2008-12-05 12:01 EST, Noel J. Bergman
no flags Details
Shows the Xorg session crash (19.70 KB, text/plain)
2008-12-05 13:22 EST, Noel J. Bergman
no flags Details
backtrace from gdb hooked to X after crash (1.86 KB, text/plain)
2009-02-11 11:43 EST, Kevin Johnson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 20081 None None None Never
OpenOffice.org 93986 None None None Never

  None (edit)
Description Noel J. Bergman 2008-11-02 14:51:53 EST
Description of problem:

If I configure a second monitor (projector) using *either* the Fedora provided nvidia driver *or* the nvidia supported driver, and select a menu in the Fedora provided OpenOffice 3 Impress application (I am trying to do a presentation on dual-monitors), the entire X11 session crashes and restarts.

Please note: the exact same scenario on the same hardware (multi-boot) works flawlessly with Ubuntu 8.10 using the same 177.80 nvidia driver and Ubuntu PPA build of OpenOffice 3, both with and without the new Presenter Mode plugin (Fedora provides the plugin as standard).

This is completely reproducible.

Steps to Reproduce:
1. Connect 2nd display.
2. Configure 2nd display using the appropriate display manager (depending on which driver is in use)
3. Open a presentation in OOo3 Impress, and click the Slide Show menu to attempt to select Slide Show Settings.
  
Actual results:

One of two things will happen.  Either the menu will work because OOo3 does not realize that you have configured the 2nd display (and Slide Show Settings ... will have the option to select a 2nd display grayed out), or the entire X11 session will terminate, and you'll have to wait for it to restart at the login dialog.

Expected results:

The menu should appear, and you should be able to select that the presentation monitor will be on the 2nd display, so that you can start a slide show using the new Presenter mode.

I'll be happy to provide whatever follow-up information you desire.

ThinkPad T61p 6457-7WU, Fedora 10 with all updates as of today.
Comment 1 Caolan McNamara 2008-11-02 18:18:11 EST
The *entire* X session exits ?
Comment 2 Caolan McNamara 2008-11-02 18:21:38 EST
There is a few multihead fixes for OOo we're not carrying in that version which I've since added in, but for the entire session to crash suggests more a more fundamental X level bogusity.

caolanm->mcepl: Can you see this problem ?
Comment 3 Matěj Cepl 2008-11-03 06:42:26 EST
Reporter, there are two things:

a) if you are switching between non-packaged version of nvidia binary-only driver and nv open source driver (BTW, have you tried nouveau?) there are some things which nvidia driver changes outside of the driver itself. So, please, make sure, that your packages are not changed (rpm -Va; or look for more detailed instructions at https://fedoraproject.org/wiki/Xorg/3rd_Party_Video_Drivers).
b) Please, attach /var/log/Xorg.*.log, /var/log/dmesg, /var/log/messages and /etc/X11/xorg.conf (if there is any) as separate uncompressed attachments to this log.
Comment 4 Noel J. Bergman 2008-11-04 01:48:02 EST
> The *entire* X session exits ?

As in X restarts, and I have to log back in, yes.

> There is a few multihead fixes for OOo we're not carrying in that
> version which I've since added in

Where can I find those?  I update from rawhide daily.

> if you are switching between non-packaged version of nvidia
> binary-only driver and nv open source driver ...

First of all, I installed the binary only AFTER reproducing this error in the first place.  Second, I uninstalled the binary, rebooted, and checked to make sure that Xorg.0.log had no references to any nvidia provided code.  That said ...

> please, make sure, that your packages are not changed (rpm -Va)

OK (but, again, I reproduced this BEFORE ever installing the nvidia driver)

> Please, attach /var/log/Xorg.*.log, /var/log/dmesg,
> /var/log/messages and /etc/X11/xorg.conf

Should be able to do that sometime this week.
Comment 5 Noel J. Bergman 2008-11-10 09:39:56 EST
Created attachment 323070 [details]
/var/log/dmesg
Comment 6 Noel J. Bergman 2008-11-10 09:43:23 EST
Created attachment 323071 [details]
/var/log/messages
Comment 7 Noel J. Bergman 2008-11-10 09:45:18 EST
Created attachment 323072 [details]
/var/log/Xorg.0.log
Comment 8 Noel J. Bergman 2008-11-10 09:45:58 EST
Created attachment 323073 [details]
/var/log/Xorg.0.log.old
Comment 9 Noel J. Bergman 2008-11-10 09:47:01 EST
Created attachment 323074 [details]
/var/log/Xorg.1.log
Comment 10 Noel J. Bergman 2008-11-10 09:47:30 EST
Created attachment 323075 [details]
/var/log/Xorg.1.log.old
Comment 11 Noel J. Bergman 2008-11-10 09:59:47 EST
Comment on attachment 323074 [details]
/var/log/Xorg.1.log

From when I was uninstalling the nvidia drivers.
Comment 12 Noel J. Bergman 2008-11-10 10:00:12 EST
Comment on attachment 323075 [details]
/var/log/Xorg.1.log.old

From when I was uninstalling the nvidia drivers.
Comment 13 Noel J. Bergman 2008-11-10 10:01:08 EST
> b) Please, attach /var/log/Xorg.*.log, /var/log/dmesg, /var/log/messages and
> /etc/X11/xorg.conf (if there is any) as separate uncompressed attachments to
> this log.

#  ls -l messages dmesg Xorg.*
-rw-r--r-- 1 root root  50071 2008-11-10 08:26 dmesg
-rw------- 1 root root 238629 2008-11-10 08:48 messages
-rw-r--r-- 1 root root 162748 2008-11-10 08:37 Xorg.0.log
-rw-r--r-- 1 root root 226796 2008-11-10 08:34 Xorg.0.log.old
-rw-r--r-- 1 root root   4842 2008-11-05 22:24 Xorg.1.log
-rw-r--r-- 1 root root   4842 2008-11-05 22:24 Xorg.1.log.old
-rw-r--r-- 1 root root   4842 2008-11-05 22:24 Xorg.2.log
-rw-r--r-- 1 root root   4842 2008-11-05 22:24 Xorg.2.log.old
-rw-r--r-- 1 root root   4842 2008-11-05 22:24 Xorg.3.log
-rw-r--r-- 1 root root   4842 2008-11-05 22:24 Xorg.3.log.old
-rw-r--r-- 1 root root   4842 2008-11-05 22:24 Xorg.4.log
-rw-r--r-- 1 root root   4842 2008-11-05 22:24 Xorg.4.log.old
-rw-r--r-- 1 root root   4842 2008-11-05 22:24 Xorg.5.log
-rw-r--r-- 1 root root   4842 2008-11-05 22:24 Xorg.5.log.old

I attached /var/log/{dmesg, messages, Xorg.0.log*}.  Everything from today is in the Xorg.0.* files; older ones date back to when I uninstalled the nvidia driver, and made sure to force a reinstall of the stock code as outlined in the documents you had referenced.  There is no xorg.conf file.

Perhaps you are looking for this:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e7746]
1: /usr/bin/Xorg(xf86SigHandler+0x39) [0x47d3a9]
2: /lib64/libc.so.6 [0x3a38a33100]
3: /usr/bin/Xorg(XkbStringText+0x1c) [0x566b7c]
4: /usr/bin/Xorg(XkbWriteXKBGeometry+0x15a) [0x5581fa]
5: /usr/bin/Xorg(XkbWriteXKBKeymapForNames+0x5bb) [0x55777b]
6: /usr/bin/Xorg(XkbDDXLoadKeymapByNames+0x18a) [0x56171a]
7: /usr/bin/Xorg(ProcXkbGetKbdByName+0x3ab) [0x53f58b]
8: /usr/bin/Xorg(Dispatch+0x364) [0x446894]
9: /usr/bin/Xorg(main+0x45d) [0x42ccdd]
10: /lib64/libc.so.6(__libc_start_main+0xe6) [0x3a38a1e546]
11: /usr/bin/Xorg [0x42c0b9]

Fatal server error:
Caught signal 11.  Server aborting
Comment 14 Matěj Cepl 2008-11-10 12:28:08 EST
Peter, isn't there something you want to tell us? :)
Comment 15 Peter Hutterer 2008-11-10 22:32:34 EST
wow.

what's the output of setxkbmap -print before the crash happens?

Can you trigger the crash by running setxkbmap -layout us, or another combination of setxkbmap -layout .. -option ... etc?

The reason I ask is that setxkbmap also uses ProcXkbGetKbdByName so maybe we can find a good testcase here.
Comment 16 Adam Jackson 2008-11-11 13:24:12 EST
atropine:/tmp% eu-addr2line -e xorg-x11-server-debuginfo-1.5.2-12.fc10.x86_64/usr/lib/debug/usr/bin/Xorg.debug
0x566b7c
/usr/src/debug/xorg-server-1.5.2/xkb/xkbtext.c:526

Which is the for loop at the top of XkbStringText.  Which, uh.  Not really sure how that could fault...
Comment 17 Noel J. Bergman 2008-11-11 19:57:26 EST
*** IMPORTANT *** See the bottom of this report for critical information.

> what's the output of setxkbmap -print before the crash happens?

$  setxkbmap -print
xkb_keymap {
	xkb_keycodes  { include "evdev+aliases(qwerty)"	};
	xkb_types     { include "complete"	};
	xkb_compat    { include "complete"	};
	xkb_symbols   { include "pc+us+inet(evdev)"	};
	xkb_geometry  { include "pc(pc104)"	};
};

> Can you trigger the crash by running setxkbmap -layout us

[noel@noel-fedora10 ~]$  setxkbmap -layout us
[noel@noel-fedora10 ~]$ 

So, no.

> or another combination of setxkbmap -layout .. -option ... etc

Give me something concrete to try, and I'll be happy to do so.  :-)

*** HOWEVER *** we now have a new and different problem: AFTER TODAY'S UPDATES from rawhide, Impress no longer realizes that I have multiple monitors!  If I go into the Slide Show, anyway, Impress splits the slides across the expanded, virtual, display.  Impress does not go full-screen incorrectly, it just handles the Slide Show incorrectly.  I have tried rebooting with the second display connected and with it disconnected.  I have tried toggling it off and back on.  So far, I cannot get Impress to recognize that the second display exists.

I will attach the current Xorg.0.log to show today's situation.  Once we get THAT fixed, we can get back to this problem.  Do you want for me to open a new bug report?
Comment 18 Noel J. Bergman 2008-11-11 19:59:32 EST
Created attachment 323283 [details]
/var/log/Xorg.0.log

Two monitors configured, but Impress Slide Show Settings don't know about multiple monitors.
Comment 19 Bug Zapper 2008-11-25 23:39:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Noel J. Bergman 2008-12-05 12:00:23 EST
OK, we are back to reproducing this defect.

As noted in Bug 474719, we must use the nvidia driver because for whatever reason, OOov3 on Fedora 10 no longer recognizes multiple monitors when using nv or when using nvidia in Twinview mode (as noted in Bug 474719, I also tried the nouveau driver, but nouveau refuses to do anything other than mirror the displays).  The only way to get Impress to recognize multiple monitors on Fedora 10 appears to be using nvidia with separate X screens.

I am attaching my xorg.conf file and the Xorg log file.
Comment 21 Noel J. Bergman 2008-12-05 12:01:13 EST
Created attachment 325879 [details]
xorg.conf for Fedora 10 using Xinerama
Comment 22 Noel J. Bergman 2008-12-05 13:22:33 EST
Created attachment 325892 [details]
Shows the Xorg session crash

This is the crash with the Fedora 10 generated xorg.conf using nvidia and Xinerama and lacking the "Files" section (see comments in bug report).
Comment 23 Noel J. Bergman 2008-12-05 14:38:37 EST
OK, I finally have it working.  I had to use the nvidia driver -- nv and nouveau are not working -- with xinerama disabled.

It is very easy to crash X on Fedora 10, as noted in the logs, even with Fedora 10 generated xorg.conf files.  And it is not consistent in that the same section whose absence causes it to crash causes it not to crash depending on what else is in xorg.conf.  I have not tried to do an exhaustive test, just noted differences in content and behavior.  I've tried the xorg.conf file that was initially laid down by the RPM, as well as those generated by nvidia-settings on Fedora 10 (discounting those that I pulled over from Ubuntu when I was having a problem with nvidia-settings on Fedora).

Ideally, Bug 474719 will be resolved, and we won't have to deal with some of the xorg.conf issues.
Comment 24 Nigel Jones 2008-12-11 18:29:52 EST
Found this report after getting a very similar stacktrace:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812bc5b]
1: /usr/bin/Xorg(xf86SigHandler+0x51) [0x80bcc81]
2: [0x110400]
3: /usr/bin/Xorg(XkbStringText+0x2d) [0x81b0d0d]
4: /usr/bin/Xorg(XkbWriteXKBGeometry+0x1bf) [0x81a10ff]
5: /usr/bin/Xorg(XkbWriteXKBKeymapForNames+0x610) [0x81a0400]
6: /usr/bin/Xorg(XkbDDXLoadKeymapByNames+0x1d7) [0x81ab4c7]
7: /usr/bin/Xorg(ProcXkbGetKbdByName+0x40e) [0x81875be]
8: /usr/bin/Xorg [0x818c808]
9: /usr/bin/Xorg(Dispatch+0x34f) [0x8085e9f]
10: /usr/bin/Xorg(main+0x47d) [0x806b71d]
11: /lib/libc.so.6(__libc_start_main+0xe5) [0xa886d5]
12: /usr/bin/Xorg [0x806ab01]


Have seen it with OO3, but also getting without OO3 anywhere in site. I actually hit it today seemingly when using PackageKit (firefox, went to site which needed a new plugin)

Various apps seem to cause it, not found a reproducible pattern yet.

Language is en_GB, T60p laptop. Similr config to F9 where the issue did not occur.

My video driver is "radeonhd", also with F10, and all xorg* updates from the updates channel as of 11 Dec.

I do use a second screen (although it's not connected now) when at work, so I have a "Virtual   3200 1600" in xorg.conf which appeared to be needed for radeonhd (but not the ati driver)


Also found similar report at https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/297442 for Ubuntu 8.10

Can provide more details if it helps (or raise seperate defect if required)
Comment 25 Nigel Jones 2008-12-11 18:34:10 EST
Also seems related to a new report https://bugzilla.redhat.com/show_bug.cgi?id=475746
Comment 26 Artem 2008-12-12 04:30:25 EST
*** Bug 475746 has been marked as a duplicate of this bug. ***
Comment 27 Artem 2008-12-12 04:37:15 EST
Agree with Nigel, that it's not related to OO3 impress, however I had OO3 Writer always just opened (did nothing).
P.S. intel video driver with no single external monitor working (just external VGA, LVDS is off) (dual-head stuff is not working properly anyway)
Comment 28 Noel J. Bergman 2008-12-21 00:05:01 EST
Back to being able to reproduce this, so here is the stack trace:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e7a26]
1: /usr/bin/Xorg(xf86SigHandler+0x39) [0x47a679]
2: /lib64/libc.so.6 [0x39a0832f90]
3: /usr/bin/Xorg(XkbStringText+0x1c) [0x56711c]
4: /usr/bin/Xorg(XkbWriteXKBGeometry+0x191) [0x5587d1]
5: /usr/bin/Xorg(XkbWriteXKBKeymapForNames+0x5bb) [0x557d1b]
6: /usr/bin/Xorg(XkbDDXLoadKeymapByNames+0x18a) [0x561cba]
7: /usr/bin/Xorg(ProcXkbGetKbdByName+0x3ab) [0x53fb2b]
8: /usr/bin/Xorg(Dispatch+0x364) [0x4468d4]
9: /usr/bin/Xorg(main+0x45d) [0x42cd1d]
10: /lib64/libc.so.6(__libc_start_main+0xe6) [0x39a081e576]
11: /usr/bin/Xorg [0x42c0f9]

Fatal server error:
Caught signal 11.  Server aborting
Comment 29 Peter Hutterer 2009-01-08 18:41:25 EST
Reassigning to me, this seems to be uninitialised memory or so in xkb. A scratch build for testing is available (see below) which should avoid the issue.

http://koji.fedoraproject.org/scratch/whot/task_1041247/

To narrow this down further:
if you run xkbcomp -xkb :0 -, is anyone affected by this bug NOT getting a BadAlloc error? Anyone NOT on x86_64?
Comment 30 Noel J. Bergman 2009-01-15 19:11:59 EST
Peter, I have fully updated Fedora 10 from updates-testing, including OO3, and no longer see this problem.
Comment 31 Rogutės 2009-01-19 08:38:00 EST
The bug title is misleading, but I guess my bug is the same. I'm not using Fedora/Redhat, but since this bug is in xkb (and, actually, similarly looking xkb bugs are all over the bugtrackers), I hope I can contribute with a comment or two.

I can now easily reproduce it by letting this run for a minute:
  while;do setxkbmap -layout us;sleep 1;done
and using X normally (running firefox/terminal/openoffice).
Noel's backtrace has more symbols, thus I am not attaching mine, but it seems to die on ProcXkbGetKbdByName.

Additionaly, X log includes this (and a memory map):
[xkb] BOGUS LENGTH in write keyboard desc, expected 5548, got 5564
*** glibc detected *** /usr/bin/X: double free or corruption (!prev): 0x09a62df8 ***

I have reproduced it with xorg-server 1.5.3 and 1.6.0 RC1.

Peter:
I am running x86 and have no xorg.conf and no custom HAL policies, and after starting X, `xkbcomp -xkb :0 -` yields the BadAlloc error, but the error disappears after running setxkbmap.
Comment 32 Nigel Jones 2009-01-26 10:20:04 EST
Is the scratch xkb build still available?

I'm unable to get to http://koji.fedoraproject.org/scratch/whot/task_1041247/

I am getting this bug frequently. 

x86 (PAE kernel)

bash-3.2$ xkbcomp -xkb :0
Warning:          Could not load keyboard geometry for :0
                  BadAlloc (insufficient resources for operation)
                  Resulting keymap file will not describe geometry
Error:            Cannot open "server-0.xkb" to write keyboard description
                  Exiting
bash-3.2$
Comment 33 Nigel Jones 2009-01-27 09:43:49 EST
In comment #30, Noel mentioned he'd applied all updates-testing updates to F10 and no longer saw the issue.

I too have all updates-testing updates, but sadly *do* still see the issue :-(

I've not tried rawhide. Generally I'd probably pop it on sometime between beta and preview. I know alpha is soon.. a little reluctant to go down that route, but if there's any indication it might be fixed there then I would give it a whirl.

ANy thoughts in terms of
 - xserver config
 - OOO3 config

that might remove/reduce the risk of the problem occuring (other than not using Ooo3+dual screens)
?
Comment 34 Peter Hutterer 2009-01-27 17:29:00 EST
*** Bug 479122 has been marked as a duplicate of this bug. ***
Comment 35 Peter Hutterer 2009-01-27 17:30:14 EST
Updating bug title.
Comment 36 Milos Jakubicek 2009-02-08 14:42:12 EST
With current F10 X.org server (xorg-x11-server-Xorg-1.5.3-11.fc10.x86_64) I see lot of following errors:

(EE) Error loading keymap /var/lib/xkb/server-0.xkm

around of detecting my Trust mouse (see the bug marked as duplicate in comment #34) -- btw you marked the bug as duplicate, but isn't the main problem of that bug, that the mouse is identified as a keyboard?
Comment 37 Nigel Jones 2009-02-10 14:50:29 EST
Changed 2 things about 5 days ago -- and no crashes since

1. In keyboard preferences *deselected* option "Seperate layout for each window"
2. Disabled screensaver 

I've susbsequently applied F11 alpha/rawhide and will likely reintroduce the above settings to see if the issue comes back, but good news so far.
Comment 38 Peter Hutterer 2009-02-10 19:36:25 EST
(In reply to comment #36)
> around of detecting my Trust mouse (see the bug marked as duplicate in comment
> #34) -- btw you marked the bug as duplicate, but isn't the main problem of that
> bug, that the mouse is identified as a keyboard?

No, a lot of mice these days are keyboards too.
Comment 39 Kevin Johnson 2009-02-11 11:43:23 EST
Created attachment 331592 [details]
backtrace from gdb hooked to X after crash

I can recreate this at will, however it involves a USB Belkin KVM switch. 

I can recreate on x86_64 and i386.  This is a backtrace from gdb hooked up to X which I captured this morning. 

System setup:
x86_64 F10 machine with it's own monitor and all updates
i386 F10 machine with it's own monitor and all updates
USB Mouse & Keyboard hooked to Belkin USB KVM 2-port switch to control which machine has Mouse & Keyboard control

Steps to reproduce:
1.  Log into both machines
2.  Open OpenOffice (any one will do)
3.  Use KVM switch to change keyboard / mouse ownership to other machine
4.  If crash doesn't occur, switch back and it will crash.

I can reproduce 95% of the time. I can reproduce on either machine (i386 or x86_64).  Both systems have NVIDIA Quadros, but different models requiring different nvidia drivers -- but I have the latest for each.
Comment 40 Milos Jakubicek 2009-02-12 16:20:31 EST
...the xorg-x11-server-Xorg-1.5.3-11 has *not* disabled writing the geometry, I guess? Today after more than month without any problems when living with the build you pointed in [1], I've been hit again, probably because of the recent update to -11:

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x26) [0x4e7b66]
1: /usr/bin/X(xf86SigHandler+0x39) [0x47a679]
2: /lib64/libc.so.6 [0x3d7aa32f90]
3: /usr/bin/X(XkbWriteXKBGeometry+0x14c) [0x55880c]
4: /usr/bin/X(XkbWriteXKBKeymapForNames+0x5bb) [0x557d9b]
5: /usr/bin/X(XkbDDXLoadKeymapByNames+0x18a) [0x561d3a]
6: /usr/bin/X(ProcXkbGetKbdByName+0x3ab) [0x53fbab]
7: /usr/bin/X(Dispatch+0x364) [0x4468d4]
8: /usr/bin/X(main+0x45d) [0x42cd1d]
9: /lib64/libc.so.6(__libc_start_main+0xe6) [0x3d7aa1e576]
10: /usr/bin/X [0x42c0f9]

Unfortunately the link to the koji build from [1] shows nothing now and I also couldn't find the RPMs from the given Koji task -- could you please post your packages with disabled geometry writing somewhere for the meantime:)? Thanks in advance.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=479122#c5
Comment 41 Peter Hutterer 2009-02-12 19:22:00 EST
Upstream bug: http://bugs.freedesktop.org/show_bug.cgi?id=20081

I think I may have found the issue. Can you please try the following package:
http://koji.fedoraproject.org/scratch/whot/task_1123333/


If it doesn't work, here's the same patch as in Comment #29 on top of 1.5.3-11:
http://koji.fedoraproject.org/scratch/whot/task_1122850/
Comment 42 Matěj Cepl 2009-02-18 17:26:56 EST
*** Bug 483272 has been marked as a duplicate of this bug. ***
Comment 43 Peter Hutterer 2009-02-18 20:32:35 EST
For some reason bodhi didn't add the comment. This bug has been fixed in xorg-x11-server-1.5.3-13.fc10 and is available from the testing repository.
 
https://admin.fedoraproject.org/updates/F10/FEDORA-2009-1763
Comment 44 Fedora Update System 2009-02-24 15:45:38 EST
xorg-x11-server-1.5.3-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.